POST api/SpotterIntegration/spotaflow-cases-delete-and-newcases-sync
Request Information
URI Parameters
None.
Body Parameters
SpotterInjuryNonInjurySyncRequestModel| Name | Description | Type | Additional information |
|---|---|---|---|
| InjuryNonInjuryCaseList | Collection of SpotterEccCaseTypeModel |
None. |
|
| MSSCaseList | Collection of integer |
None. |
|
| CorporationCode | string |
None. |
|
| OldCorporationCode | string |
None. |
|
| OldCorporationCodeToken | string |
None. |
|
| CorporationCodeToken | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"InjuryNonInjuryCaseList": [
{
"CaseNo": 1,
"ECCCaseTypeId": 2
},
{
"CaseNo": 1,
"ECCCaseTypeId": 2
}
],
"MSSCaseList": [
1,
2
],
"CorporationCode": "sample string 1",
"OldCorporationCode": "sample string 2",
"OldCorporationCodeToken": "sample string 3",
"CorporationCodeToken": "sample string 4"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfString| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | string |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": "sample string 3",
"totalCount": 4
}